Package org.eclipse.cdt.core.settings.model.util

# Class PathEntryTranslator

java.lang.Object
org.eclipse.cdt.core.settings.model.util.PathEntryTranslator

public class PathEntryTranslator extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PathEntryTranslator.PathEntryCollector`
`static final class`
`PathEntryTranslator.ReferenceSettingsInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INCLUDE_ALL`
`static final int`
`INCLUDE_BUILT_INS`
`static final int`
`INCLUDE_USER`
`static final int`
`OP_ADD`
`static final int`
`OP_REMOVE`
`static final int`
`OP_REPLACE`

## Constructor Summary

Constructors
Constructor
Description
`PathEntryTranslator(org.eclipse.core.resources.IProject project, CConfigurationData cfgData)`

## Method Summary

Modifier and Type
Method
Description
`PathEntryTranslator.ReferenceSettingsInfo`
`applyPathEntries(IPathEntry[] usrEntries, IPathEntry[] sysEntries, int op)`
`PathEntryTranslator.ReferenceSettingsInfo`
`applyPathEntries(PathEntryResolveInfo info, int op)`
`static PathEntryTranslator.PathEntryCollector`
`collectEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription)`
`static IPathEntry[]`
`decodePathEntries(org.eclipse.core.resources.IProject project, ICStorageElement el)`
`static IPathEntry[]`
`getPathEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OP_ADD

public static final int OP_ADD

See Also:
  - Constant Field Values

### OP_REMOVE

public static final int OP_REMOVE

See Also:
  - Constant Field Values

### OP_REPLACE

public static final int OP_REPLACE

See Also:
  - Constant Field Values

### INCLUDE_BUILT_INS

public static final int INCLUDE_BUILT_INS

See Also:
  - Constant Field Values

### INCLUDE_USER

public static final int INCLUDE_USER

See Also:
  - Constant Field Values

### INCLUDE_ALL

public static final int INCLUDE_ALL

See Also:
  - Constant Field Values

## Constructor Details

### PathEntryTranslator

public PathEntryTranslator(org.eclipse.core.resources.IProject project, CConfigurationData cfgData)

## Method Details

### applyPathEntries

public PathEntryTranslator.ReferenceSettingsInfo applyPathEntries(PathEntryResolveInfo info, int op)

### applyPathEntries

public PathEntryTranslator.ReferenceSettingsInfo applyPathEntries(IPathEntry[] usrEntries, IPathEntry[] sysEntries, int op)

### decodePathEntries

public static IPathEntry[] decodePathEntries(org.eclipse.core.resources.IProject project, ICStorageElement el)

### collectEntries

public static PathEntryTranslator.PathEntryCollector collectEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription)

### getPathEntries

public static IPathEntry[] getPathEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription, int flags)